package cn.com.qmth.examcloud.core.oe.admin.dao.entity;

import cn.com.qmth.examcloud.web.jpa.JpaEntity;

import javax.persistence.*;

/**
 * 重考设置记录
 */
@Entity
@Table(name = "ec_oe_reexamine_log", indexes = {
        @Index(name = "IDX_01", columnList = "examId"),
        @Index(name = "IDX_02", columnList = "examStudentId")
})
public class ReexamineLogEntity extends JpaEntity {

    private static final long serialVersionUID = -6330756328920243183L;

    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    private Long id;

    @Column(nullable = false)
    private Long examId;

    /**
     * 考生ID（表ec_e_exam_student的ID）
     */
    @Column(nullable = false)
    private Long examStudentId;

    @Column(length = 50)
    private String reexamineType;

    @Column(length = 200)
    private String reexamineDetail;

    private Long operateUserId;

    @Column(length = 50)
    private String operateUserName;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getExamId() {
        return examId;
    }

    public void setExamId(Long examId) {
        this.examId = examId;
    }

    public Long getExamStudentId() {
        return examStudentId;
    }

    public void setExamStudentId(Long examStudentId) {
        this.examStudentId = examStudentId;
    }

    public String getReexamineType() {
        return reexamineType;
    }

    public void setReexamineType(String reexamineType) {
        this.reexamineType = reexamineType;
    }

    public String getReexamineDetail() {
        return reexamineDetail;
    }

    public void setReexamineDetail(String reexamineDetail) {
        this.reexamineDetail = reexamineDetail;
    }

    public Long getOperateUserId() {
        return operateUserId;
    }

    public void setOperateUserId(Long operateUserId) {
        this.operateUserId = operateUserId;
    }

    public String getOperateUserName() {
        return operateUserName;
    }

    public void setOperateUserName(String operateUserName) {
        this.operateUserName = operateUserName;
    }

}
